Name:           python-ironic-python-agent-builder
Version:        6.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools and scripts to build Ironic Python Agent

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://docs.openstack.org/ironic-python-agent-builder/latest/
Source:         %{pypi_source ironic_python_agent_builder}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ironic-python-agent-builder' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ironic-python-agent-builder
Summary:        %{summary}

%description -n python3-ironic-python-agent-builder %_description


%prep
%autosetup -p1 -n ironic_python_agent_builder-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ironic-python-agent-builder -f %{pyproject_files}


%changelog
%autochangelog